Subject: Re: bug#71073: Emacs segfaults if corfu is asked to autocomplete something while the LSP server providing completions is still starting/indexing

From: alexis purslane <[email-masked]>
Date: Wed, 22 May 2024 11:03:16 +0000

I saw that and attempted to install them, but got this:

> Could not find debuginfo package for the following installed packages: emacs-1:29.3-6.fc41.x86_64
> Could not find debugsource package for the following installed packages: emacs-1:29.3-6.fc41.x86_64

Tried doing it for just 'emacs-29.3' and 'emacs-29' but no luck.

On Wednesday, May 22nd, 2024 at 11:01 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Tue, 21 May 2024 18:54:09 +0000
> > From: alexis purslane [email-masked]
> > Cc: Po Lu [email-masked], [email-masked]
> > 

> > > Nothing here that is not normal, I think. Did GDB say "thread 1 got
> > > SIGSEGV"?
> > 

> > It did. Just reproduced it again to make sure, and this is what it says:
> > 

> > > Thread 1 "emacs-29.3" received signal SIGSEGV, Segmentation fault.
> > > 0x000000000057a044 in parse_modifiers ()
> > > Missing separate debuginfos, use: dnf debuginfo-install emacs-29.3-6.fc41.x86_64
> > 

> > I've attached the subsequent backtrace file in case it shows anything different
> > this time around.
> 

> Is this before or after you installed the separate debuginfos, as GDB
> suggested above?